<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_PaymentsForClosingOfStoreAndOtherInvCF" xlink:label="PaymentsForClosingOfStoreAndOtherInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_DecreaseIncreaseInguaranteeDepositsInvCF" xlink:label="DecreaseIncreaseInguaranteeDepositsInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_RightToOperateFacilities" xlink:label="RightToOperateFacilities" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ProvisionForExpensesOfShareholdersBenefitPlanCL" xlink:label="ProvisionForExpensesOfShareholdersBenefitPlanCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ProvisionForStockBasedCompensationNCL" xlink:label="ProvisionForStockBasedCompensationNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ProvisionForExpensesOfShareholdersBenefitPlanSGA" xlink:label="ProvisionForExpensesOfShareholdersBenefitPlanSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ProvisionForStockBasedCompensationSGA" xlink:label="ProvisionForStockBasedCompensationSGA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_NotesRegardingRevenueTextBlock" xlink:label="NotesRegardingRevenueTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassAPreferredSharesSharesWithNoVotingRightsMember" xlink:label="ClassAPreferredSharesSharesWithNoVotingRightsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue" xlink:label="RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue" xlink:label="RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults" xlink:label="NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xlink:label="TotalNumberOfIssuedSharesKeyFinancialDataAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:label="ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:label="ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_DividendPaidPerShareKeyFinancialDataAbstract" xlink:label="DividendPaidPerShareKeyFinancialDataAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData" xlink:label="ClassAPreferredSharesDividendPaidPerShareKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData" xlink:label="ClassBPreferredSharesDividendPaidPerShareKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_InterimDividendPaidPerShareKeyFinancialDataAbstract" xlink:label="InterimDividendPaidPerShareKeyFinancialDataAbstract" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xlink:label="ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xlink:label="ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_KikuchiTadaoMember" xlink:label="KikuchiTadaoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_AbeMasatakaMember" xlink:label="AbeMasatakaMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_KimuraTomoatsuMember" xlink:label="KimuraTomoatsuMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_HiraiRyutaroMember" xlink:label="HiraiRyutaroMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_MuraiHirotoMember" xlink:label="MuraiHirotoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_NakayamaHitomiMember" xlink:label="NakayamaHitomiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_UmezawaMayumiMember" xlink:label="UmezawaMayumiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_TransferFromCapitalSurplusToRetainedEarnings" xlink:label="TransferFromCapitalSurplusToRetainedEarnings" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_RestaurantBusinessReportableSegmentsMember" xlink:label="RestaurantBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ContractFoodBusinessReportableSegmentsMember" xlink:label="ContractFoodBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_HotelBusinessReportableSegmentsMember" xlink:label="HotelBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_FoodBusinessReportableSegmentsMember" xlink:label="FoodBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_NetSalesAndOtherOperatingRevenueSegmentInformation" xlink:label="NetSalesAndOtherOperatingRevenueSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_InterestIncomeAndInterestExpensesNetSegmentInformation" xlink:label="InterestIncomeAndInterestExpensesNetSegmentInformation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:label="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:label="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_GovernanceTextBlock" xlink:label="GovernanceTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_StrategyTextBlock" xlink:label="StrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:label="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_RiskManagementTextBlock" xlink:label="RiskManagementTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_ReferenceToOtherInformationRiskManagement" xlink:label="ReferenceToOtherInformationRiskManagement" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_MetricsAndTargetsTextBlock" xlink:label="MetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:label="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock" xlink:label="PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_FujitaAtsukoMember" xlink:label="FujitaAtsukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E04783-000_2023-12-31_01_2024-03-28.xsd#jpcrp030000-asr_E04783-000_SakamotoKoichiroMember" xlink:label="SakamotoKoichiroMember" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_CumulativeEffectsOfChangesInAccountingPolicies" xlink:label="CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:label xlink:type="resource" xlink:label="label_CumulativeEffectsOfChangesInAccountingPolicies" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_CumulativeEffectsOfChangesInAccountingPolicies">Cumulative effects of changes in accounting policies</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CumulativeEffectsOfChangesInAccountingPolicies" xlink:to="label_CumulativeEffectsOfChangesInAccountingPolicies" />
    <link:loc xlink:type="locator" xlink:href="http://disclosure.edinet-fsa.go.jp/taxonomy/jppfs/2022-11-01/jppfs_cor_2022-11-01.xsd#jppfs_cor_RestatedBalance" xlink:label="RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_RestatedBalance" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" id="label_RestatedBalance">Restated balance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestatedBalance" xlink:to="label_RestatedBalance" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInguaranteeDepositsInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseIncreaseInguaranteeDepositsInvCF">Decrease (increase) inguarantee deposits</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInguaranteeDepositsInvCF" xlink:to="label_DecreaseIncreaseInguaranteeDepositsInvCF" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseIncreaseInguaranteeDepositsInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseIncreaseInguaranteeDepositsInvCF_2">Decrease (increase) inguarantee deposits-InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseIncreaseInguaranteeDepositsInvCF" xlink:to="label_DecreaseIncreaseInguaranteeDepositsInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsForClosingOfStoreAndOtherInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PaymentsForClosingOfStoreAndOtherInvCF">Payments for closing of store and other</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForClosingOfStoreAndOtherInvCF" xlink:to="label_PaymentsForClosingOfStoreAndOtherInvCF" />
    <link:label xlink:type="resource" xlink:label="label_PaymentsForClosingOfStoreAndOtherInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PaymentsForClosingOfStoreAndOtherInvCF_2">Payments for closing of store and other-InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PaymentsForClosingOfStoreAndOtherInvCF" xlink:to="label_PaymentsForClosingOfStoreAndOtherInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesAndOtherOperatingRevenueSegmentInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NetSalesAndOtherOperatingRevenueSegmentInformation">Net sales and other operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesAndOtherOperatingRevenueSegmentInformation" xlink:to="label_NetSalesAndOtherOperatingRevenueSegmentInformation" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesAndOtherOperatingRevenueSegmentInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NetSalesAndOtherOperatingRevenueSegmentInformation_2">Net sales and other operating revenue, Segment Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesAndOtherOperatingRevenueSegmentInformation" xlink:to="label_NetSalesAndOtherOperatingRevenueSegmentInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_InterestIncomeAndInterestExpensesNetSegmentInformation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_InterestIncomeAndInterestExpensesNetSegmentInformation">Interest income and interest expenses, net</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestIncomeAndInterestExpensesNetSegmentInformation" xlink:to="label_InterestIncomeAndInterestExpensesNetSegmentInformation" />
    <link:label xlink:type="resource" xlink:label="label_InterestIncomeAndInterestExpensesNetSegmentInformation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_InterestIncomeAndInterestExpensesNetSegmentInformation_2">Interest income and interest expenses, net, Segment Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterestIncomeAndInterestExpensesNetSegmentInformation" xlink:to="label_InterestIncomeAndInterestExpensesNetSegmentInformation_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading">Disclosure of Sustainability-related Financial Information [heading]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationHeading" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationHeading" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2">Disclosure of Sustainability-related Financial Information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock">Disclosure of Sustainability-related Financial Information [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" xlink:to="label_DisclosureOfSustainabilityRelatedFinancialInformationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceTextBlock_2">Governance</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceTextBlock">Governance [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceTextBlock" xlink:to="label_GovernanceTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyTextBlock_2">Strategy</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyTextBlock">Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyTextBlock" xlink:to="label_StrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2">Policy on human resource development and improvement of internal environment</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock">Policy on human resource development and improvement of internal environment, Strategy [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" xlink:to="label_PolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentStrategyTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementTextBlock_2">Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementTextBlock">Risk management [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementTextBlock" xlink:to="label_RiskManagementTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationRiskManagement_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationRiskManagement" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationRiskManagement">Reference to other information, Risk management</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationRiskManagement" xlink:to="label_ReferenceToOtherInformationRiskManagement" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsTextBlock_2">Metrics and targets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsTextBlock">Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsTextBlock" xlink:to="label_MetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock">Description of metrics related to policy on human resource development and improvement of internal environment, and targets and results using such metrics, Metrics and targets [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" xlink:to="label_DescriptionOfMetricsRelatedToPolicyOnHumanResourceDevelopmentAndImprovementOfInternalEnvironmentAndTargetsAndResultsUsingSuchMetricsMetricsAndTargetsTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForExpensesOfShareholdersBenefitPlanSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForExpensesOfShareholdersBenefitPlanSGA">Provision for expenses of shareholders benefit plan</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForExpensesOfShareholdersBenefitPlanSGA" xlink:to="label_ProvisionForExpensesOfShareholdersBenefitPlanSGA" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForExpensesOfShareholdersBenefitPlanSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForExpensesOfShareholdersBenefitPlanSGA_2">Provision for expenses of shareholders benefit plan-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForExpensesOfShareholdersBenefitPlanSGA" xlink:to="label_ProvisionForExpensesOfShareholdersBenefitPlanSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForStockBasedCompensationSGA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForStockBasedCompensationSGA">Provision for stock based compensation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForStockBasedCompensationSGA" xlink:to="label_ProvisionForStockBasedCompensationSGA" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForStockBasedCompensationSGA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForStockBasedCompensationSGA_2">Provision for stock based compensation-SGA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForStockBasedCompensationSGA" xlink:to="label_ProvisionForStockBasedCompensationSGA_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingRevenueTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingRevenueTextBlock">Notes regarding revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingRevenueTextBlock" xlink:to="label_NotesRegardingRevenueTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingRevenueTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingRevenueTextBlock_2">Notes regarding revenue [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingRevenueTextBlock" xlink:to="label_NotesRegardingRevenueTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RightToOperateFacilities" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RightToOperateFacilities">Right to operate facilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RightToOperateFacilities" xlink:to="label_RightToOperateFacilities" />
    <link:label xlink:type="resource" xlink:label="label_RightToOperateFacilities_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RightToOperateFacilities_2">Right to operate facilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RightToOperateFacilities" xlink:to="label_RightToOperateFacilities_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForExpensesOfShareholdersBenefitPlanCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForExpensesOfShareholdersBenefitPlanCL">Provision for expenses of shareholders benefit plan</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForExpensesOfShareholdersBenefitPlanCL" xlink:to="label_ProvisionForExpensesOfShareholdersBenefitPlanCL" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForExpensesOfShareholdersBenefitPlanCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForExpensesOfShareholdersBenefitPlanCL_2">Provision for expenses of shareholders benefit plan-CL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForExpensesOfShareholdersBenefitPlanCL" xlink:to="label_ProvisionForExpensesOfShareholdersBenefitPlanCL_2" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForStockBasedCompensationNCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProvisionForStockBasedCompensationNCL">Provision for stock based compensation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForStockBasedCompensationNCL" xlink:to="label_ProvisionForStockBasedCompensationNCL" />
    <link:label xlink:type="resource" xlink:label="label_ProvisionForStockBasedCompensationNCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProvisionForStockBasedCompensationNCL_2">Provision for stock based compensation-NCL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProvisionForStockBasedCompensationNCL" xlink:to="label_ProvisionForStockBasedCompensationNCL_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesSharesWithNoVotingRightsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassAPreferredSharesSharesWithNoVotingRightsMember_2">Class A preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesSharesWithNoVotingRightsMember" xlink:to="label_ClassAPreferredSharesSharesWithNoVotingRightsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesSharesWithNoVotingRightsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassAPreferredSharesSharesWithNoVotingRightsMember">Class A preferred shares, Shares with no voting rights [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesSharesWithNoVotingRightsMember" xlink:to="label_ClassAPreferredSharesSharesWithNoVotingRightsMember" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults">Net sales and other operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults" xlink:to="label_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults" />
    <link:label xlink:type="resource" xlink:label="label_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults_2">Net sales and other operating revenue, Summary of business results</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults" xlink:to="label_NetSalesAndOtherOperatingRevenueSummaryOfBusinessResults_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract_2">Total number of issued shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xlink:to="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract">Total number of issued shares, Key financial data [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNumberOfIssuedSharesKeyFinancialDataAbstract" xlink:to="label_TotalNumberOfIssuedSharesKeyFinancialDataAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2">Class A preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData">Class A preferred shares, Total number of issued shares, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassAPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData">Class B preferred shares, Total number of issued shares, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" xlink:to="label_ClassBPreferredSharesTotalNumberOfIssuedSharesKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_DividendPaidPerShareKeyFinancialDataAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DividendPaidPerShareKeyFinancialDataAbstract_2">Dividend paid per share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendPaidPerShareKeyFinancialDataAbstract" xlink:to="label_DividendPaidPerShareKeyFinancialDataAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_DividendPaidPerShareKeyFinancialDataAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DividendPaidPerShareKeyFinancialDataAbstract">Dividend paid per share, Key financial data [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DividendPaidPerShareKeyFinancialDataAbstract" xlink:to="label_DividendPaidPerShareKeyFinancialDataAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData_2">Class A preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData">Class A preferred shares, Dividend paid per share, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassAPreferredSharesDividendPaidPerShareKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData_2">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData">Class B preferred shares, Dividend paid per share, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassBPreferredSharesDividendPaidPerShareKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_InterimDividendPaidPerShareKeyFinancialDataAbstract_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_InterimDividendPaidPerShareKeyFinancialDataAbstract_2">Interim dividend paid per share</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterimDividendPaidPerShareKeyFinancialDataAbstract" xlink:to="label_InterimDividendPaidPerShareKeyFinancialDataAbstract_2" />
    <link:label xlink:type="resource" xlink:label="label_InterimDividendPaidPerShareKeyFinancialDataAbstract" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_InterimDividendPaidPerShareKeyFinancialDataAbstract">Interim dividend paid per share, Key financial data [abstract]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="InterimDividendPaidPerShareKeyFinancialDataAbstract" xlink:to="label_InterimDividendPaidPerShareKeyFinancialDataAbstract" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData_2">Class A preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData">Class A preferred shares, Interim dividend paid per share, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassAPreferredSharesInterimDividendPaidPerShareKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData_2">Class B preferred shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData_2" />
    <link:label xlink:type="resource" xlink:label="label_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData">Class B preferred shares, Interim dividend paid per share, Key financial data</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData" xlink:to="label_ClassBPreferredSharesInterimDividendPaidPerShareKeyFinancialData" />
    <link:label xlink:type="resource" xlink:label="label_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue">Royalty from subsidiaries and affiliates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue" xlink:to="label_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue" />
    <link:label xlink:type="resource" xlink:label="label_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue_2">Royalty from subsidiaries and affiliates-Operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue" xlink:to="label_RoyaltyFromSubsidiariesAndAffiliatesOperatingRevenue_2" />
    <link:label xlink:type="resource" xlink:label="label_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue">Rent income of real estate from subsidiaries and affiliates</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue" xlink:to="label_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue" />
    <link:label xlink:type="resource" xlink:label="label_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue_2">Rent income of real estate from subsidiaries and affiliates-Operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue" xlink:to="label_RentIncomeOfRealEstateFromSubsidiariesAndAffiliatesOperatingRevenue_2" />
    <link:label xlink:type="resource" xlink:label="label_TransferFromCapitalSurplusToRetainedEarnings_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TransferFromCapitalSurplusToRetainedEarnings_2">Transfer from capital surplus to retained earnings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransferFromCapitalSurplusToRetainedEarnings" xlink:to="label_TransferFromCapitalSurplusToRetainedEarnings_2" />
    <link:label xlink:type="resource" xlink:label="label_TransferFromCapitalSurplusToRetainedEarnings" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TransferFromCapitalSurplusToRetainedEarnings">Transfer from capital surplus to retained earnings</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TransferFromCapitalSurplusToRetainedEarnings" xlink:to="label_TransferFromCapitalSurplusToRetainedEarnings" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" />
    <link:label xlink:type="resource" xlink:label="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2">Purpose of shareholding, overview of business alliance, quantitative effects of shareholding and reason for increase in number of shares, Details of specified investment shares held for purposes other than pure investment, Reporting company</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany" xlink:to="label_PurposeOfShareholdingOverviewOfBusinessAllianceQuantitativeEffectsOfShareholdingAndReasonForIncreaseInNumberOfSharesDetailsOfSpecifiedInvestmentSharesHeldForPurposesOtherThanPureInvestmentReportingCompany_2" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock">Purchase of shares of subsidiaries resulting in change in scope of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock" xlink:to="label_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock_2">Purchase of shares of subsidiaries resulting in change in scope of consolidation [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock" xlink:to="label_PurchaseOfSharesOfSubsidiariesResultingInChangeInScopeOfConsolidationTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_KikuchiTadaoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KikuchiTadaoMember">Kikuchi, Tadao [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KikuchiTadaoMember" xlink:to="label_KikuchiTadaoMember" />
    <link:label xlink:type="resource" xlink:label="label_KikuchiTadaoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KikuchiTadaoMember_2">Kikuchi, Tadao</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KikuchiTadaoMember" xlink:to="label_KikuchiTadaoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AbeMasatakaMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AbeMasatakaMember">Abe, Masataka</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AbeMasatakaMember" xlink:to="label_AbeMasatakaMember" />
    <link:label xlink:type="resource" xlink:label="label_AbeMasatakaMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AbeMasatakaMember_2">Abe, Masataka [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AbeMasatakaMember" xlink:to="label_AbeMasatakaMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FujitaAtsukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FujitaAtsukoMember_2">Fujita, Atsuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FujitaAtsukoMember" xlink:to="label_FujitaAtsukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FujitaAtsukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FujitaAtsukoMember">Fujita, Atsuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FujitaAtsukoMember" xlink:to="label_FujitaAtsukoMember" />
    <link:label xlink:type="resource" xlink:label="label_HiraiRyutaroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HiraiRyutaroMember">Hirai, Ryutaro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiraiRyutaroMember" xlink:to="label_HiraiRyutaroMember" />
    <link:label xlink:type="resource" xlink:label="label_HiraiRyutaroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HiraiRyutaroMember_2">Hirai, Ryutaro[Member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HiraiRyutaroMember" xlink:to="label_HiraiRyutaroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MuraiHirotoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MuraiHirotoMember">Murai, Hiroto</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MuraiHirotoMember" xlink:to="label_MuraiHirotoMember" />
    <link:label xlink:type="resource" xlink:label="label_MuraiHirotoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MuraiHirotoMember_2">Murai, Hiroto [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MuraiHirotoMember" xlink:to="label_MuraiHirotoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraTomoatsuMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KimuraTomoatsuMember">Kimura, Tomoatsu [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraTomoatsuMember" xlink:to="label_KimuraTomoatsuMember" />
    <link:label xlink:type="resource" xlink:label="label_KimuraTomoatsuMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KimuraTomoatsuMember_2">Kimura, Tomoatsu</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraTomoatsuMember" xlink:to="label_KimuraTomoatsuMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakayamaHitomiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NakayamaHitomiMember">Nakayama, Hitomi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakayamaHitomiMember" xlink:to="label_NakayamaHitomiMember" />
    <link:label xlink:type="resource" xlink:label="label_NakayamaHitomiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NakayamaHitomiMember_2">Nakayama, Hitomi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakayamaHitomiMember" xlink:to="label_NakayamaHitomiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmezawaMayumiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UmezawaMayumiMember_2">Umezawa, Mayumi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmezawaMayumiMember" xlink:to="label_UmezawaMayumiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UmezawaMayumiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UmezawaMayumiMember">Umezawa, Mayumi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UmezawaMayumiMember" xlink:to="label_UmezawaMayumiMember" />
    <link:label xlink:type="resource" xlink:label="label_SakamotoKoichiroMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_SakamotoKoichiroMember_2">Sakamoto, Koichiro</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakamotoKoichiroMember" xlink:to="label_SakamotoKoichiroMember_2" />
    <link:label xlink:type="resource" xlink:label="label_SakamotoKoichiroMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_SakamotoKoichiroMember">Sakamoto, Koichiro [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="SakamotoKoichiroMember" xlink:to="label_SakamotoKoichiroMember" />
    <link:label xlink:type="resource" xlink:label="label_RestaurantBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RestaurantBusinessReportableSegmentsMember">Restaurant Business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestaurantBusinessReportableSegmentsMember" xlink:to="label_RestaurantBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_RestaurantBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RestaurantBusinessReportableSegmentsMember_2">Restaurant Business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RestaurantBusinessReportableSegmentsMember" xlink:to="label_RestaurantBusinessReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_ContractFoodBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ContractFoodBusinessReportableSegmentsMember">Contract Food Business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContractFoodBusinessReportableSegmentsMember" xlink:to="label_ContractFoodBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_ContractFoodBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ContractFoodBusinessReportableSegmentsMember_2">Contract Food Business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ContractFoodBusinessReportableSegmentsMember" xlink:to="label_ContractFoodBusinessReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_HotelBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_HotelBusinessReportableSegmentsMember">Hotel Business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HotelBusinessReportableSegmentsMember" xlink:to="label_HotelBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_HotelBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_HotelBusinessReportableSegmentsMember_2">Hotel Business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="HotelBusinessReportableSegmentsMember" xlink:to="label_HotelBusinessReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_FoodBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_FoodBusinessReportableSegmentsMember">Food Business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FoodBusinessReportableSegmentsMember" xlink:to="label_FoodBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_FoodBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_FoodBusinessReportableSegmentsMember_2">Food Business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="FoodBusinessReportableSegmentsMember" xlink:to="label_FoodBusinessReportableSegmentsMember_2" />
  </link:labelLink>
</link:linkbase>